"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
const Messages = require("../../lib/force-cli-messages");
module.exports = function (_execCommand) {
    return {
        command: 'apex:log:tail',
        description: Messages.get('ApexLogTailDescription'),
        longDescription: Messages.get('ApexLogTailLongDescription'),
        help: Messages.get('ApexLogTailHelp'),
        requiresProject: false,
        args: [],
        flags: [
            {
                name: 'color',
                char: 'c',
                hasValue: false,
                required: false,
                hidden: false,
                type: 'flag',
                description: Messages.get('ApexLogTailColorizeDescription'),
                longDescription: Messages.get('ApexLogTailColorizeLongDescription')
            },
            {
                name: 'debuglevel',
                char: 'd',
                hasValue: true,
                required: false,
                hidden: false,
                type: 'string',
                description: Messages.get('ApexLogTailDebugLevelDescription'),
                longDescription: Messages.get('ApexLogTailDebugLevelLongDescription')
            },
            {
                name: 'skiptraceflag',
                char: 's',
                hasValue: false,
                required: false,
                hidden: false,
                type: 'flag',
                description: Messages.get('ApexLogTailSkipTraceFlagDescription'),
                longDescription: Messages.get('ApexLogTailSkipTraceFlagLongDescription')
            }
        ],
        supportsTargetUsername: true,
        run(context) {
            return __awaiter(this, void 0, void 0, function* () {
                const ApexLogTailCommand = require('../../lib/apex/apexLogTailCommand').ApexLogGetCommand;
                return yield _execCommand(new ApexLogTailCommand(), context);
            });
        }
    };
};

//# sourceMappingURL=apex_log_tail.js.map
