"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
const Messages = require("../../lib/force-cli-messages");
module.exports = function (_execCommand) {
    return {
        command: 'data:bulk:delete',
        description: Messages.get('DataBulkDeleteDescription'),
        longDescription: Messages.get('DataBulkDeleteLongDescription'),
        help: Messages.get('DataBulkDeleteHelp'),
        requiresProject: false,
        args: [],
        flags: [{
                name: 'sobjecttype',
                char: 's',
                hasValue: true,
                required: true,
                hidden: false,
                type: 'string',
                description: Messages.get('DataBulkDeleteSobjectTypeDescription'),
                longDescription: Messages.get('DataBulkDeleteSobjectTypeLongDescription')
            }, {
                name: 'csvfile',
                char: 'f',
                hasValue: true,
                required: true,
                hidden: false,
                type: 'filepath',
                description: Messages.get('DataBulkDeleteCsvFilePathDescription'),
                longDescription: Messages.get('DataBulkDeleteCsvFilePathLongDescription')
            }, {
                name: 'wait',
                char: 'w',
                hasValue: true,
                required: false,
                hidden: false,
                type: 'minutes',
                description: Messages.get('DataBulkDeleteWaitDescription'),
                longDescription: Messages.get('DataBulkDeleteWaitLongDescription')
            }],
        supportsTargetUsername: true,
        run(context) {
            return __awaiter(this, void 0, void 0, function* () {
                const DataBulkDeleteCommand = require('../../lib/data/dataBulkDeleteCommand').DataBulkDeleteCommand;
                return yield _execCommand(new DataBulkDeleteCommand(), context);
            });
        }
    };
};

//# sourceMappingURL=data_bulk_delete.js.map
