"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
const Messages = require("../../lib/force-cli-messages");
module.exports = function (_execCommand) {
    return {
        command: 'data:bulk:status',
        description: Messages.get('DataBulkStatusDescription'),
        longDescription: Messages.get('DataBulkStatusLongDescription'),
        help: Messages.get('DataBulkStatusHelp'),
        requiresProject: false,
        args: [],
        flags: [{
                name: 'jobid',
                char: 'i',
                hasValue: true,
                required: true,
                hidden: false,
                type: 'id',
                description: Messages.get('DataBulkStatusJobIdDescription'),
                longDescription: Messages.get('DataBulkStatusJobIdLongDescription')
            }, {
                name: 'batchid',
                char: 'b',
                hasValue: true,
                required: false,
                hidden: false,
                type: 'id',
                description: Messages.get('DataBulkStatusBatchIdDescription'),
                longDescription: Messages.get('DataBulkStatusBatchIdLongDescription')
            }],
        supportsTargetUsername: true,
        run(context) {
            return __awaiter(this, void 0, void 0, function* () {
                const DataBulkStatusCommand = require('../../lib/data/dataBulkStatusCommand').DataBulkStatusCommand;
                return yield _execCommand(new DataBulkStatusCommand(), context);
            });
        }
    };
};

//# sourceMappingURL=data_bulk_status.js.map
