"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
const Messages = require("../../lib/force-cli-messages");
module.exports = function (_execCommand) {
    return {
        command: 'data:record:create',
        description: Messages.get('DataRecordCreateDescription'),
        longDescription: Messages.get('DataRecordCreateLongDescription'),
        help: Messages.get('DataRecordCreateHelp'),
        requiresProject: false,
        args: [],
        flags: [{
                name: 'sobjecttype',
                char: 's',
                hasValue: true,
                required: true,
                hidden: false,
                type: 'string',
                description: Messages.get('DataRecordCreateSobjectDescription'),
                longDescription: Messages.get('DataRecordCreateSobjectLongDescription')
            }, {
                name: 'values',
                char: 'v',
                hasValue: true,
                required: true,
                hidden: false,
                type: 'string',
                description: Messages.get('DataRecordCreateValuesDescription'),
                longDescription: Messages.get('DataRecordCreateValuesLongDescription')
            }, {
                name: 'usetoolingapi',
                char: 't',
                hasValue: false,
                required: false,
                hidden: false,
                type: 'flag',
                description: Messages.get('DataRecordCreateToolingDescription'),
                longDescription: Messages.get('DataRecordCreateToolingLongDescription')
            }],
        supportsTargetUsername: true,
        supportsPerfLogLevelFlag: true,
        run(context) {
            return __awaiter(this, void 0, void 0, function* () {
                const DataRecordCreateCommand = require('../../lib/data/dataRecordCreateCommand').DataRecordCreateCommand;
                return yield _execCommand(new DataRecordCreateCommand(), context);
            });
        }
    };
};

//# sourceMappingURL=data_record_create.js.map
