"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
const Messages = require("../../lib/force-cli-messages");
module.exports = function (_execCommand) {
    return {
        command: 'data:soql:query',
        description: Messages.get('DataSOQLQueryDescription'),
        longDescription: Messages.get('DataSOQLQueryLongDescription'),
        help: Messages.get('DataSOQLQueryHelp'),
        requiresProject: false,
        args: [],
        flags: [{
                name: 'query',
                char: 'q',
                hasValue: true,
                required: true,
                hidden: false,
                type: 'string',
                description: Messages.get('DataSOQLQueryQueryDescription'),
                longDescription: Messages.get('DataSOQLQueryQueryLongDescription')
            }, {
                name: 'usetoolingapi',
                char: 't',
                hasValue: false,
                required: false,
                hidden: false,
                type: 'flag',
                description: Messages.get('DataSOQLQueryToolingDescription'),
                longDescription: Messages.get('DataSOQLQueryToolingLongDescription')
            }, {
                name: 'resultformat',
                char: 'r',
                description: Messages.get('DataSOQLQueryResultFormatDescription'),
                longDescription: Messages.get('DataSOQLQueryResultFormatLongDescription'),
                hasValue: true,
                required: false,
                type: 'string',
                values: ['human', 'csv', 'json'],
                default: 'human'
            }],
        supportsTargetUsername: true,
        supportsPerfLogLevelFlag: true,
        run(context) {
            return __awaiter(this, void 0, void 0, function* () {
                const DataSoqlQueryCommand = require('../../lib/data/dataSoqlQueryCommand').DataSoqlQueryCommand;
                return yield _execCommand(new DataSoqlQueryCommand(), context);
            });
        }
    };
};

//# sourceMappingURL=data_soql_query.js.map
