/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
/* eslint global-require: 0 */
'use strict';
const path = require('path');
const messages = require(path.join(__dirname, '..', '..', 'lib', 'messages'))();
module.exports = function (_execCommand) {
    return {
        command: 'doc:commands:display',
        description: messages.getMessage('docCommandsDisplayDescription'),
        longDescription: messages.getMessage('docCommandsDisplayDescriptionLong'),
        help: messages.getMessage('docCommandsDisplayHelp'),
        requiresProject: false,
        run: (context) => {
            const DocCommandsDisplayCommand = require(path.join(__dirname, '..', '..', 'lib', 'docCommandsDisplayCommand'));
            return _execCommand(new DocCommandsDisplayCommand(), context);
        }
    };
};

//# sourceMappingURL=doc_commands_display.js.map
