"use strict";
/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
const path = require('path');
const messages = require(path.join(__dirname, '..', '..', 'lib', 'messages'))();
const consts = require(path.join('..', '..', 'lib', 'constants'));
module.exports = function (_execCommand) {
    return {
        description: messages.getMessage('createSnapshotCmdDescription', [], 'orgSnapshot'),
        longDescription: messages.getMessage('createSnapshotCmdDescriptionLong', [], 'orgSnapshot'),
        help: messages.getMessage('createSnapshotCmdHelp', [], 'orgSnapshot'),
        showProgress: true,
        requiresProject: false,
        supportsTargetDevHubUsername: true,
        orgType: consts.DEFAULT_DEV_HUB_USERNAME,
        hidden: true,
        flags: [
            {
                name: 'sourceorg',
                char: 'o',
                description: messages.getMessage('createSnapshotCmdSourceOrgDescription', [], 'orgSnapshot'),
                longDescription: messages.getMessage('createSnapshotCmdSourceOrgDescriptionLong', [], 'orgSnapshot'),
                hasValue: true,
                required: true,
                type: 'id'
            }, {
                name: 'snapshotname',
                char: 'n',
                description: messages.getMessage('createSnapshotCmdNameDescription', [], 'orgSnapshot'),
                longDescription: messages.getMessage('createSnapshotCmdNameDescriptionLong', [], 'orgSnapshot'),
                hasValue: true,
                required: true,
                type: 'string'
            }, {
                name: 'description',
                char: 'd',
                description: messages.getMessage('createSnapshotCmdDescriptionDescription', [], 'orgSnapshot'),
                longDescription: messages.getMessage('createSnapshotCmdDescriptionDescriptionLong', [], 'orgSnapshot'),
                hasValue: true,
                required: false,
                type: 'string'
            }
        ],
        /**
         * the heroku cli hook
         * @param context - the cli context
         * @returns {*  }
         */
        run(context) {
            const OrgSnapshotCreateCommand = require(path.join(__dirname, '..', '..', 'lib', 'snapshot', 'orgSnapshotCreateCommand')); // eslint-disable-line global-require
            return _execCommand(new OrgSnapshotCreateCommand(), context);
        }
    };
};

//# sourceMappingURL=org_snapshot_create.js.map
