"use strict";
/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
// Node
const path = require('path');
// Local
const messages = require(path.join(__dirname, '..', '..', 'lib', 'messages'))();
const consts = require(path.join('..', '..', 'lib', 'constants'));
module.exports = function (_execCommand) {
    return {
        description: messages.getMessage('deleteSnapshotCmdDescription', [], 'orgSnapshot'),
        longDescription: messages.getMessage('deleteSnapshotCmdDescriptionLong', [], 'orgSnapshot'),
        help: messages.getMessage('deleteSnapshotCmdHelp', [], 'orgSnapshot'),
        showProgress: true,
        requiresProject: false,
        supportsTargetDevHubUsername: true,
        orgType: consts.DEFAULT_DEV_HUB_USERNAME,
        hidden: true,
        flags: [
            {
                name: 'snapshot',
                char: 's',
                description: messages.getMessage('deleteSnapshotCmdSnapshotDescription', [], 'orgSnapshot'),
                longDescription: messages.getMessage('deleteSnapshotCmdSnapshotDescriptionLong', [], 'orgSnapshot'),
                hasValue: true,
                required: true,
                type: 'string'
            }
        ],
        /**
         * the heroku cli hook
         * @param context - the cli context
         * @returns {*  }
         */
        run(context) {
            const OrgSnapshotDeleteCommand = require(path.join(__dirname, '..', '..', 'lib', 'snapshot', 'orgSnapshotDeleteCommand')); // eslint-disable-line global-require
            return _execCommand(new OrgSnapshotDeleteCommand(), context);
        }
    };
};

//# sourceMappingURL=org_snapshot_delete.js.map
