"use strict";
/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
// Node
const path = require('path');
const messages = require(path.join(__dirname, '..', '..', 'lib', 'messages'))();
const consts = require(path.join('..', '..', 'lib', 'constants'));
// Local
// const messages = require(path.join(__dirname, '..', '..', 'lib', 'messages'))();
module.exports = function (_execCommand) {
    return {
        description: messages.getMessage('listSnapshotCmdDescription', [], 'orgSnapshot'),
        longDescription: messages.getMessage('listSnapshotCmdDescriptionLong', [], 'orgSnapshot'),
        help: messages.getMessage('listSnapshotCmdHelp', [], 'orgSnapshot'),
        showProgress: true,
        requiresProject: false,
        supportsTargetDevHubUsername: true,
        orgType: consts.DEFAULT_DEV_HUB_USERNAME,
        hidden: true,
        flags: [],
        /**
         * the heroku cli hook
         * @param context - the cli context
         * @returns {*  }
         */
        run(context) {
            const OrgSnapshotListCommand = require(path.join(__dirname, '..', '..', 'lib', 'snapshot', 'orgSnapshotListCommand')); // eslint-disable-line global-require
            return _execCommand(new OrgSnapshotListCommand(), context);
        }
    };
};

//# sourceMappingURL=org_snapshot_list.js.map
