/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
/* eslint global-require: 0 */
'use strict';
const path = require('path');
const messages = require(path.join(__dirname, '..', '..', 'lib', 'messages'))();
const consts = require(path.join(__dirname, '..', '..', 'lib', 'constants'));
module.exports = function (_execCommand) {
    return {
        description: messages.getMessage('cliDescription', [], 'package_installed_list'),
        longDescription: messages.getMessage('cliLongDescription', [], 'package_installed_list'),
        help: messages.getMessage('help', [], 'package_installed_list'),
        orgType: consts.DEFAULT_USERNAME,
        supportsTargetUsername: true,
        flags: [],
        /**
         * the heroku cli hook
         * @param context - the cli context
         * @returns {Promise}
         */
        run(context) {
            const packageInstalledListCommand = require(path.join('..', '..', 'lib', 'package', 'packageInstalledListCommand'));
            return _execCommand(new packageInstalledListCommand.packageInstalledListCommand(), context);
        }
    };
};

//# sourceMappingURL=package_installed_list.js.map
