/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
/* eslint global-require: 0 */
'use strict';
const path = require('path');
const messages = require(path.join(__dirname, '..', '..', 'lib', 'messages'))();
const constants = require(path.join(__dirname, '..', '..', 'lib', 'constants'));
module.exports = function (_execCommand) {
    return {
        description: messages.getMessage('cliDescription', [], 'package_list'),
        longDescription: messages.getMessage('cliLongDescription', [], 'package_list'),
        help: messages.getMessage('help', [], 'package_list'),
        requiresProject: false,
        orgType: constants.DEFAULT_DEV_HUB_USERNAME,
        supportsTargetDevHubUsername: true,
        flags: [
            {
                name: 'verbose',
                description: messages.getMessage('verboseDescription', [], 'package_list'),
                longDescription: messages.getMessage('verboseLongDescription', [], 'package_list'),
                hidden: false
            }
        ],
        /**
         * the heroku cli hook
         * @param context - the cli context
         * @returns {Promise}
         */
        run(context) {
            const PackageListCommand = require(path.join('..', '..', 'lib', 'package', 'packageListCommand'));
            return _execCommand(new PackageListCommand(), context);
        }
    };
};

//# sourceMappingURL=package_list.js.map
