/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
/* eslint global-require: 0 */
'use strict';
const path = require('path');
const messages = require(path.join(__dirname, '..', '..', 'lib', 'messages'))();
const constants = require(path.join(__dirname, '..', '..', 'lib', 'constants'));
module.exports = function (_execCommand) {
    return {
        description: messages.getMessage('cliDescription', [], 'package_version_report'),
        longDescription: messages.getMessage('cliLongDescription', [], 'package_version_report'),
        help: messages.getMessage('help', [], 'package_version_report'),
        orgType: constants.DEFAULT_DEV_HUB_USERNAME,
        supportsTargetDevHubUsername: true,
        flags: [
            {
                name: 'package',
                char: 'p',
                description: messages.getMessage('package', [], 'package_version_report'),
                longDescription: messages.getMessage('packageLong', [], 'package_version_report'),
                hasValue: true,
                required: true,
                type: 'string'
            },
            {
                name: 'verbose',
                description: messages.getMessage('verboseDescription', [], 'package_version_report'),
                longDescription: messages.getMessage('verboseLongDescription', [], 'package_version_report'),
                hidden: false
            }
        ],
        /**
         * the heroku cli hook
         * @param context - the cli context
         * @returns {Promise}
         */
        run(context) {
            const PackageVersionReportCommand = require(path.join('..', '..', 'lib', 'package', 'packageVersionReportCommand'));
            return _execCommand(new PackageVersionReportCommand(), context);
        }
    };
};

//# sourceMappingURL=package_version_report.js.map
