/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
/* eslint global-require: 0 */
'use strict';
const path = require('path');
const messages = require(path.join(__dirname, '..', '..', 'lib', 'messages'))();
module.exports = function (_execCommand) {
    return {
        description: messages.getMessage('cliDescription', [], 'package1_version_create_get'),
        longDescription: messages.getMessage('cliDescriptionLong', [], 'package1_version_create_get'),
        help: messages.getMessage('help', [], 'package1_version_create_get'),
        requiresProject: false,
        supportsTargetUsername: true,
        flags: [{
                name: 'requestid',
                char: 'i',
                description: messages.getMessage('requestId', [], 'package1_version_create_get'),
                longDescription: messages.getMessage('requestIdLong', [], 'package1_version_create_get'),
                hasValue: true,
                required: true,
                type: 'id'
            }],
        /**
         * context hook
         * @param context - the cli context
         * @returns {Promise}
         */
        run(context) {
            const Package1VersionCreateGetCommand = require(path.join('..', '..', 'lib', 'package1', 'package1VersionCreateGetCommand'));
            return _execCommand(new Package1VersionCreateGetCommand(), context);
        }
    };
};

//# sourceMappingURL=package1_version_create_get.js.map
