/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
/* eslint global-require: 0 */
'use strict';
const path = require('path');
const messages = require(path.join(__dirname, '..', '..', 'lib', 'messages'))();
const consts = require(path.join(__dirname, '..', '..', 'lib', 'constants'));
module.exports = function (_execCommand) {
    return {
        description: messages.getMessage('cliDescription', [], 'package2_update'),
        longDescription: messages.getMessage('cliLongDescription', [], 'package2_update'),
        deprecated: {
            version: '43.0',
            to: 'force:package:update'
        },
        help: messages.getMessage('help', [], 'package2_update'),
        orgType: consts.DEFAULT_DEV_HUB_USERNAME,
        supportsTargetDevHubUsername: true,
        flags: [
            {
                name: 'package2id',
                char: 'i',
                description: messages.getMessage('id', [], 'package2_update'),
                longDescription: messages.getMessage('idLong', [], 'package2_update'),
                hasValue: true,
                required: true,
                type: 'id'
            },
            {
                name: 'name',
                char: 'n',
                description: messages.getMessage('name', [], 'package2_update'),
                longDescription: messages.getMessage('nameLong', [], 'package2_update'),
                hasValue: true,
                required: false,
                type: 'string'
            },
            {
                name: 'description',
                char: 'd',
                description: messages.getMessage('description', [], 'package2_update'),
                longDescription: messages.getMessage('descriptionLong', [], 'package2_update'),
                hasValue: true,
                required: false,
                type: 'string'
            }
        ],
        /**
         * the heroku cli hook
         * @param context - the cli context
         * @returns {Promise}
         */
        run(context) {
            const Package2UpdateCommand = require(path.join('..', '..', 'lib', 'package2', 'package2UpdateCommand'));
            return _execCommand(new Package2UpdateCommand(), context);
        }
    };
};

//# sourceMappingURL=package2_update.js.map
