"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
const Messages = require("../../lib/force-cli-messages");
module.exports = function (_execCommand) {
    return {
        command: 'schema:sobject:list',
        description: Messages.get('SchemaSObjectListDescription'),
        longDescription: Messages.get('SchemaSObjectListLongDescription'),
        help: Messages.get('SchemaSObjectListHelp'),
        requiresProject: false,
        args: [],
        flags: [{
                name: 'sobjecttypecategory',
                char: 'c',
                hasValue: true,
                required: true,
                hidden: false,
                type: 'string',
                description: Messages.get('SchemaSObjectListTypeDescription'),
                longDescription: Messages.get('SchemaSObjectListTypeLongDescription')
            }],
        supportsTargetUsername: true,
        run(context) {
            return __awaiter(this, void 0, void 0, function* () {
                const SchemaSObjectListCommand = require('../../lib/schema/schemaSObjectListCommand').SchemaSObjectListCommand;
                return yield _execCommand(new SchemaSObjectListCommand(), context);
            });
        }
    };
};

//# sourceMappingURL=schema_sobject_list.js.map
