/*
 * Copyright, 1999-2016, salesforce.com
 * All Rights Reserved
 * Company Confidential
 */
/* eslint global-require: 0 */
'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
const sourceApiCommand_1 = require("../../lib/source/sourceApiCommand");
const path = require('path');
const messages = require(path.join(__dirname, '..', '..', 'lib', 'messages'))();
const consts = require(path.join('..', '..', 'lib', 'constants'));
module.exports = function (_execCommand) {
    return {
        description: messages.getMessage('pushCommandCliDescription'),
        longDescription: messages.getMessage('pushCommandCliDescriptionLong'),
        help: messages.getMessage('pushCommandCliHelp'),
        showProgress: true,
        supportsTargetUsername: true,
        flags: [
            {
                name: 'forceoverwrite',
                char: 'f',
                description: messages.getMessage('pushCommandForceOption'),
                longDescription: messages.getMessage('pushCommandForceOptionLong'),
                required: false,
                type: 'flag'
            },
            {
                name: 'ignorewarnings',
                char: 'g',
                description: messages.getMessage('ignoreWarningsParamDescription', null, 'source_push'),
                longDescription: messages.getMessage('ignoreWarningsParamLongDescription', null, 'source_push'),
                required: false,
                type: 'flag'
            },
            {
                name: 'replacetokens',
                char: 'r',
                description: messages.getMessage('pushCommandReplaceTokensOption'),
                longDescription: messages.getMessage('pushCommandReplaceTokensOptionLong'),
                required: false,
                type: 'flag',
                hidden: true
            },
            {
                name: 'wait',
                char: 'w',
                description: messages.getMessage('mdapiCliWait', consts.DEFAULT_SRC_WAIT_MINUTES),
                longDescription: messages.getMessage('pushCommandWaitOptionDescriptionLong'),
                required: false,
                hasValue: true,
                type: 'minutes',
                default: consts.DEFAULT_SRC_WAIT_MINUTES,
                min: consts.MIN_SRC_WAIT_MINUTES
            }
        ],
        /**
         * the heroku cli hook
         * @param context - the cli context
         * @returns {* }
         */
        run(context) {
            return __awaiter(this, void 0, void 0, function* () {
                context.deploytype = sourceApiCommand_1.SourceApiCommand.SOURCE_PUSH;
                return yield _execCommand(new sourceApiCommand_1.SourceApiCommand(false), context);
            });
        }
    };
};

//# sourceMappingURL=source_push.js.map
