"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require('path');
const logApi = require("../logApi");
const ApexLogApi = require(path.join(__dirname, 'apexLogApi')).ApexLogApi;
const MAX_NUM_OF_LOGS = 25;
let logger;
class ApexLogGetCommand {
    constructor() {
        logger = logApi.child('apex:log:get');
    }
    validate(context) {
    }
    execute(context, doneCallback) {
        return __awaiter(this, void 0, void 0, function* () {
            const org = context.org;
            const apexLogApi = new ApexLogApi(org, context.flags);
            if (context.flags.logid) {
                return yield apexLogApi.logLog(context.flags.logid);
            }
            else {
                const numOfLogs = +(context.flags.number) || 1;
                return yield apexLogApi.logLogs(numOfLogs > MAX_NUM_OF_LOGS ? MAX_NUM_OF_LOGS : numOfLogs);
            }
        });
    }
}
exports.ApexLogGetCommand = ApexLogGetCommand;

//# sourceMappingURL=apexLogGetCommand.js.map
