"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require('path');
const logApi = require("../logApi");
const ApexLogApi = require(path.join(__dirname, 'apexLogApi')).ApexLogApi;
let logger;
class ApexLogListCommand {
    constructor() {
        logger = logApi.child('apex:log:list');
    }
    validate(context) {
    }
    execute(context) {
        return __awaiter(this, void 0, void 0, function* () {
            const org = context.org;
            const apexLogApi = new ApexLogApi(org, context.flags);
            return yield apexLogApi.listLogs();
        });
    }
}
exports.ApexLogListCommand = ApexLogListCommand;

//# sourceMappingURL=apexLogListCommand.js.map
