"use strict";
/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
const path = require('path');
const MdapiDeployReportApi = require(path.join(__dirname, 'mdapiDeployReportApi'));
/**
 * Command implementation that uses mdapiDeployApi to deploy source - directory or zip - to given org.
 */
class MetadataDeployReportCommand {
    constructor(context) {
        this.mdDeployReport = new MdapiDeployReportApi(context.org);
    }
    validate(context) {
        return this.mdDeployReport.validate(context);
    }
    execute(context) {
        return this.mdDeployReport.report(context);
    }
}
module.exports = MetadataDeployReportCommand;

//# sourceMappingURL=mdapiDeployReportCommand.js.map
