"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require('path');
const fs = require('fs');
/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
const _ = require('lodash');
const Bluebird = require('bluebird');
Bluebird.promisifyAll(fs);
const projectDirUtil = require(path.join('..', '..', 'projectDir'));
const consts = require(path.join('..', '..', 'constants'));
const messages = require(path.join('..', '..', 'messages'))();
const UpgradeAction_1 = require("./UpgradeAction");
const DEFAULT = 'config/*def.json';
exports.HEADS_UP = /"([A-Z])(\w*"\s*:)/g;
exports.REPLACE_FN = (whole, m1, m2) => `"${m1.toLowerCase()}${m2}`;
function default_1(projectDir, prompt) {
    return __awaiter(this, void 0, void 0, function* () {
        const projectFile = path.join(projectDir, consts.WORKSPACE_CONFIG_FILENAME);
        const fileContents = yield fs.readFileAsync(projectFile, 'utf8');
        if (fileContents.match(exports.HEADS_UP)) {
            return new UpgradeAction_1.default(messages.getMessage('action_headsDownProject', [consts.WORKSPACE_CONFIG_FILENAME], 'projectUpgrade'), () => {
                return fs.writeFileAsync(projectFile, fileContents.replace(exports.HEADS_UP, exports.REPLACE_FN));
            });
        }
        return Promise.resolve(null);
    });
}
exports.default = default_1;
;

//# sourceMappingURL=heads-down-project.js.map
