"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require('path');
const fs = require('fs');
/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
const _ = require('lodash');
const Bluebird = require('bluebird');
Bluebird.promisifyAll(fs);
const consts = require(path.join('..', '..', 'constants'));
const messages = require(path.join('..', '..', 'messages'))();
const utils = require(path.join('..', '..', 'srcDevUtil'));
const UpgradeAction_1 = require("./UpgradeAction");
function default_1(projectDir, prompt) {
    return __awaiter(this, void 0, void 0, function* () {
        const projectFile = path.join(projectDir, consts.WORKSPACE_CONFIG_FILENAME);
        if ((yield fs.readFileAsync(projectFile, 'utf8')).match(/"useDecomposition"/i)) {
            return new UpgradeAction_1.default(messages.getMessage('action_removeUseDecomposition', [consts.WORKSPACE_CONFIG_FILENAME], 'projectUpgrade'), () => __awaiter(this, void 0, void 0, function* () {
                const json = yield utils.readJSON(projectFile);
                delete json.useDecomposition;
                return fs.writeFileAsync(projectFile, JSON.stringify(json, undefined, 2));
            }));
        }
        return Promise.resolve(null);
    });
}
exports.default = default_1;
;

//# sourceMappingURL=remove-use-decomposition.js.map
