"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const Display = require("../../lib/force-cli-display");
const logApi = require("../logApi");
let logger;
class SchemaSObjectDescribeCommand {
    constructor() {
        logger = logApi.child('schema:sobject:describe');
    }
    validate(context) {
    }
    execute(context) {
        return __awaiter(this, void 0, void 0, function* () {
            return yield exports.describeSingleObject(context, context.flags.sobjecttype);
        });
    }
}
exports.SchemaSObjectDescribeCommand = SchemaSObjectDescribeCommand;
exports.describeSingleObject = function (context, sobjecttype) {
    return __awaiter(this, void 0, void 0, function* () {
        const force = context.org.force;
        let description = context.flags.usetoolingapi ?
            yield force.toolingDescribe(context.org, context.flags.sobjecttype)
            : yield force.describe(context.org, context.flags.sobjecttype);
        Display.info((description));
        return description;
    });
};

//# sourceMappingURL=schemaSObjectDescribeCommand.js.map
